Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 202163 - [ml_IN] Wrong Conjuctions
Summary: [ml_IN] Wrong Conjuctions
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: fonts-indic
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rahul Bhalerao
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC6Target 206431
TreeView+ depends on / blocked
 
Reported: 2006-08-11 05:58 UTC by Darshan Santani
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-18 13:42:34 UTC


Attachments (Terms of Use)
Patch attached (deleted)
2006-08-11 09:52 UTC, Darshan Santani
no flags Details | Diff
lohit_ml.ttf (deleted)
2006-08-11 10:00 UTC, Darshan Santani
no flags Details
Verified Image (deleted)
2007-04-27 12:41 UTC, A S Alam
no flags Details

Description Darshan Santani 2006-08-11 05:58:51 UTC
Description of problem:
In Malayalam, the following conjunctions are wrong:

U+0D15 U+0D4D U+0D33
U+0D17 U+0D4D U+0D33
U+0D2a U+0D4D U+0D33
U+0D2c U+0D4D U+0D33
U+0D2e U+0D4D U+0D33
U+0D36 U+0D4D U+0D33
U+0D38 U+0D4D U+0D33
U+0D39 U+0D4D U+0D33 

Version-Release number of selected component (if applicable):
fonts-malayalam-2.0-2

Comment 1 Ani Peter 2006-08-11 06:23:27 UTC
Darshan,

In our font, the glyph what we must get with these combinations is available
with the combination:
(any of the above 8 consonant) + (U+0d4d) + (U+0d32). 

for the rest consonants it must be just according to the key sequence.

And for combinations with (U+0d32), ie,not only the above mentioned 8
consonants,but for all,
Any consonant + (U+0d4d) + (U+0d32), it must be just the key sequence.

Comment 2 Darshan Santani 2006-08-11 09:52:57 UTC
Created attachment 134008 [details]
Patch attached

Patch has been attached to resolve the issue. Thanks :)

Comment 3 Darshan Santani 2006-08-11 10:00:31 UTC
Created attachment 134009 [details]
lohit_ml.ttf

Ani, thanks a lot for the info. I am attaching the modified font file, so
please test the above cases with it. Thanks in advance.

Comment 4 Leon Ho 2006-08-17 07:19:50 UTC
built in fonts-indic-2.0.1-1

Comment 5 Ani Peter 2006-08-31 13:21:59 UTC
All the below are working fine in the new font:

U+0D15 U+0D4D U+0D33
U+0D17 U+0D4D U+0D33
U+0D2a U+0D4D U+0D33
U+0D2c U+0D4D U+0D33
U+0D2e U+0D4D U+0D33
U+0D36 U+0D4D U+0D33
U+0D38 U+0D4D U+0D33
U+0D39 U+0D4D U+0D33 

But any consonant + (U+200d)+ (U+0d32) must be according to the key sequence,
but here there is rendering issue
Ani


Comment 7 Rahul Bhalerao 2006-09-26 22:27:11 UTC
The patch on bug #192934 (attachment id=137177) makes the rendering of 0d32 and
0d33 conjuncts identical to each other and special for 0d32+0d4d+0d32 and
0d33+0d4d+0d33 combinations. 

Thus the issue with 0D33 is solved.

Comment 8 Lawrence Lim 2006-09-29 03:08:45 UTC
Bug 206431 has been confirmed fixed. This is ready to resolve once the new
package is available.

FIXED!!!

Comment 9 A S Alam 2007-04-27 12:41:59 UTC
Created attachment 153614 [details]
Verified Image

Comment 10 A S Alam 2007-04-27 12:45:23 UTC
hi Translator,
can you please verifiy above screenshot?

tested with:
fonts-malayalam-2.1.5-1.fc7

Comment 11 Ani Peter 2007-05-18 11:25:30 UTC
Hi Alam,

Verified, all ok.

Thanks
Ani

Comment 12 A S Alam 2007-05-18 13:42:34 UTC
CLOSE:
based on comment for Language Translator


Note You need to log in before you can comment on or make changes to this bug.